Bug 250813 - [RHEL 5.1]: X crash when turning on compiz w/ i810 driver
[RHEL 5.1]: X crash when turning on compiz w/ i810 driver
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 15:07 EDT by Chris Lalancette
Modified: 2012-04-17 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 15:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log after starting X (compiz is currently disabled) (68.95 KB, text/plain)
2007-10-23 09:10 EDT, Chris Lalancette
no flags Details
xorg.conf after starting X (compiz is disabled) (766 bytes, text/plain)
2007-10-23 09:11 EDT, Chris Lalancette
no flags Details

  None (edit)
Description Chris Lalancette 2007-08-03 15:07:27 EDT
Description of problem:
I have a Lenove z61t laptop with Intel i810 chip.  I was successfully running
RHEL-5 GA with compiz on.  When I upgraded the kernel (to the beta -37 kernel),
compiz was also working properly.  However, when I updated the rest of the
laptop to the 5.1 Beta tree, compiz stopped working, and in particular, trying
to turn on compiz crashes the X server immediately.  Unfortunately I haven't yet
been able to pin down which particular component broke it; so far I have downgraded:

xorg-x11-server-Xorg
metacity
xorg-x11-drv-i810

to their RHEL-5 GA counterparts, and I am still seeing the problem.  This
hardware is available in Westford for testing, so if you need to look at it for
debugging, please let me know.
Comment 1 Matěj Cepl 2007-09-20 10:55:33 EDT
Could we get /etc/X11/xorg.conf and /var/log/Xorg.0.log from non-working 5.1Beta
configuration, please, as separate uncompressed attachments to this bug, please?
Comment 2 Matěj Cepl 2007-10-22 17:21:51 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Chris Lalancette 2007-10-22 17:26:38 EDT
Sorry, I forgot all about it.  I don't have the laptop with me tonight; I'll
send over the information tomorrow.

Thanks,
Chris Lalancette
Comment 4 Chris Lalancette 2007-10-23 09:10:44 EDT
Created attachment 235041 [details]
Xorg log after starting X (compiz is currently disabled)
Comment 5 Chris Lalancette 2007-10-23 09:11:24 EDT
Created attachment 235051 [details]
xorg.conf after starting X (compiz is disabled)
Comment 6 Chris Lalancette 2007-10-23 09:14:05 EDT
I've uploaded the requested files.  Note that with the latest beta packages
(compiz-0.0.13-0.36.20060817git, xorg-x11-drv-i810-1.6.5-9.6,
xorg-x11-server-Xorg-1.1.1-48.26), the behavior is slightly different.  Now,
when I enable compiz, it seems to enable it properly, but about 1/4 of the
screen is cut off on the right side of the screen.  Shutting down X and starting
it again didn't seem to make a difference.

Chris Lalancette
Comment 7 Tuomo Soini 2007-11-12 07:14:53 EST
I can duplicate same problem on HP Compaq nx7400 laptop.
Comment 8 Tuomo Soini 2007-11-12 08:26:14 EST
This bug at least with these latest effects (compiz limiting display to left
upper corner of screen) is not kernel related. with updates installed booting to
kernel 2.6.18-8.1.15.el5 didn't help, compiz is still broken.
Comment 9 Adam Jackson 2012-04-17 15:48:32 EDT
No further hardware enablement updates are planned for RHEL5's X stack.  If this issue still occurs with RHEL6, please fix the affected product version and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.